Index: /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.cpp	(revision 693)
@@ -768,15 +768,7 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-Void TComPrediction::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window
-#if Q0200_CONFORMANCE_BL_SIZE
-, const Window confBL
-#endif
-, Bool phaseAlignFlag )
-{
-  m_cUsf.upsampleBasePic( currSlice, refLayerIdc, pcUsPic, pcBasePic, pcTempPic, window
-#if Q0200_CONFORMANCE_BL_SIZE
-,  confBL
-#endif
-, phaseAlignFlag );
+Void TComPrediction::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag )
+{
+  m_cUsf.upsampleBasePic( currSlice, refLayerIdc, pcUsPic, pcBasePic, pcTempPic, window, phaseAlignFlag );
 }
 #else
Index: /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibCommon/TComPrediction.h	(revision 693)
@@ -121,9 +121,5 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window
-#if Q0200_CONFORMANCE_BL_SIZE
-, const Window confBL
-#endif
-, Bool phaseAlignFlag );
+  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #else
   Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
Index: /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 693)
@@ -99,9 +99,5 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-Void TComUpsampleFilter::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window
-#if Q0200_CONFORMANCE_BL_SIZE
-, const Window confBL
-#endif
-, bool phaseAlignFlag )
+Void TComUpsampleFilter::upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag )
 #else
 Void TComUpsampleFilter::upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, bool phaseAlignFlag )
@@ -131,4 +127,5 @@
   Int strideEL  = pcUsPic->getStride();
 #if Q0200_CONFORMANCE_BL_SIZE
+const Window &confBL = currSlice->getBaseColPic(refLayerIdc)->getConformanceWindow();
 widthBL-= (confBL.getWindowLeftOffset()+confBL.getWindowRightOffset());
 heightBL-=(confBL.getWindowBottomOffset()+confBL.getWindowTopOffset());
Index: /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.h
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.h	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibCommon/TComUpsampleFilter.h	(revision 693)
@@ -45,9 +45,5 @@
 #if O0215_PHASE_ALIGNMENT
 #if O0194_JOINT_US_BITSHIFT
-  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window
-#if Q0200_CONFORMANCE_BL_SIZE
-, const Window confBL
-#endif
-, Bool phaseAlignFlag );
+  Void upsampleBasePic( TComSlice* currSlice, UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
 #else
   Void upsampleBasePic( UInt refLayerIdc, TComPicYuv* pcUsPic, TComPicYuv* pcBasePic, TComPicYuv* pcTempPic, const Window window, Bool phaseAlignFlag );
Index: /branches/SHM-6-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibCommon/TypeDef.h	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibCommon/TypeDef.h	(revision 693)
@@ -49,5 +49,5 @@
 #define O0137_MAX_LAYERID                1      ///< JCTVC-O0137, JCTVC-O0200, JCTVC-O0223: restrict nuh_layer_id and vps_max_layers_minus1
 
-#define Q0200_CONFORMANCE_BL_SIZE        0       ///< JCTVC-Q0200; use conformance picture size in re-sampling processs
+#define Q0200_CONFORMANCE_BL_SIZE        1       ///< JCTVC-Q0200; use conformance picture size in re-sampling processs
 #define P0312_VERT_PHASE_ADJ             1      ///< JCTVC-P0312: vertical phase adjustment in re-sampling process (BoG report)
 #if P0312_VERT_PHASE_ADJ
Index: /branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 693)
@@ -1541,5 +1541,9 @@
         Int widthBL   = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getWidth();
         Int heightBL  = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getHeight();
-
+#if Q0200_CONFORMANCE_BL_SIZE
+const Window &confBL = pcSlice->getBaseColPic(refLayerIdc)->getConformanceWindow(); 
+widthBL   -= (confBL.getWindowLeftOffset()+confBL.getWindowRightOffset());
+heightBL  -= (confBL.getWindowTopOffset()+confBL.getWindowBottomOffset());
+#endif
         Int widthEL   = pcPic->getPicYuvRec()->getWidth()  - scalEL.getWindowLeftOffset() - scalEL.getWindowRightOffset();
         Int heightEL  = pcPic->getPicYuvRec()->getHeight() - scalEL.getWindowTopOffset()  - scalEL.getWindowBottomOffset();
Index: /branches/SHM-6-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-6-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 692)
+++ /branches/SHM-6-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 693)
@@ -943,5 +943,9 @@
         Int widthBL   = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getWidth();
         Int heightBL  = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec()->getHeight();
-
+#if Q0200_CONFORMANCE_BL_SIZE
+const Window &confBL = pcSlice->getBaseColPic(refLayerIdc)->getConformanceWindow(); 
+widthBL   -= (confBL.getWindowLeftOffset()+confBL.getWindowRightOffset());
+heightBL  -= (confBL.getWindowTopOffset()+confBL.getWindowBottomOffset());
+#endif
         Int widthEL   = pcPic->getPicYuvRec()->getWidth()  - scalEL.getWindowLeftOffset() - scalEL.getWindowRightOffset();
         Int heightEL  = pcPic->getPicYuvRec()->getHeight() - scalEL.getWindowTopOffset()  - scalEL.getWindowBottomOffset();
